Subject: Re: reproducible cygwin memory problems
From: "emacs user" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 11 Aug 2006 19:04:22 -0400

Dear cygwin friends, while debugging some emacs related problem, we seem to 
come to the conclusion that there is a cygwin issue here.  can someone 
please comment on this?

>From: Eli Zaretskii <[email-masked]>
>
> > From: "emacs user" <[email-masked]>
> > Cc: [email-masked]
> > Bcc:
> > Date: Thu, 10 Aug 2006 01:06:22 -0400
> >
> > #kill it
> > #(clear-image-cache t)
> > I am here1
> > I am here2
> > I am here4
> > I am here5
> > I am here6
> > I am here5
> > I am here6
>
>Okay, thanks.  This shows that free_image does get called.
>
>What image types did you try till now?  If you tried with only one
>image type, please see if other image types exhibit the same problem
>(i.e. that memory is not returned to system when an image is killed
>and the image cache cleared).

problem occurs with both jpeg and gif.  I didnt try others

>If you already tried all the supported image types, I cannot think of
>any reason but one: that the Cygwin implementation of malloc/free does
>not return freed memory to the OS.  If this is the conclusion, then it
>should probably be taken up with Cygwin maintainers on their mailing
>list.

cygwin list copied above

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today - it's FREE! 
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/